librevenge::RVNGPropertyList Class Reference documentation

Classes | Public Member Functions | Private Attributes | Friends | List of all members
librevenge::RVNGPropertyList Class Reference

`#include <RVNGPropertyList.h>`

## Classes
class | Iter

## Public Member Functions
| RVNGPropertyList ()
| RVNGPropertyList (const RVNGPropertyList &)
virtual | ~RVNGPropertyList ()
void | insert (const char *name, RVNGProperty *prop)
void | insert (const char *name, const char *val)
void | insert (const char *name, const int val)
void | insert (const char *name, const bool val)
void | insert (const char *name, const RVNGString &val)
void | insert (const char *name, const double val, const RVNGUnit units=RVNG_INCH)
void | insert (const char *name, const unsigned char *buffer, const unsigned long bufferSize)
void | insert (const char *name, const RVNGBinaryData &data)
void | insert (const char *name, const RVNGPropertyListVector &vec)
void | remove (const char *name)
void | clear ()
bool | empty () const
const RVNGProperty * | operator[] (const char *name) const
const RVNGPropertyListVector * | child (const char *name) const
const RVNGPropertyList & | operator= (const RVNGPropertyList &propList)
RVNGString | getPropString () const

## Private Attributes
RVNGPropertyListImpl * | m_impl

## Friends
class | RVNGPropertyList::Iter

## Constructor & Destructor Documentation

## ◆ RVNGPropertyList() [1/2]

librevenge::RVNGPropertyList::RVNGPropertyList | ( |  | ) |

## ◆ RVNGPropertyList() [2/2]

librevenge::RVNGPropertyList::RVNGPropertyList | ( | const RVNGPropertyList & | propList | ) |

## ◆ ~RVNGPropertyList()

librevenge::RVNGPropertyList::~RVNGPropertyList | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ child()

const RVNGPropertyListVector * librevenge::RVNGPropertyList::child | ( | const char * | name | ) | const

Referenced by librevenge::RVNGSVGDrawingGenerator::drawPath(), librevenge::RVNGSVGPresentationGenerator::drawPath(), librevenge::RVNGSVGDrawingGenerator::drawPolygon(), librevenge::RVNGSVGPresentationGenerator::drawPolygon(), librevenge::RVNGSVGDrawingGenerator::drawPolyline(), librevenge::RVNGSVGPresentationGenerator::drawPolyline(), librevenge::RVNGCSVSpreadsheetGenerator::openSheetCell(), librevenge::RVNGHTMLTextGenerator::openTable(), librevenge::RVNGSVGPresentationGenerator::setStyle(), librevenge::RVNGSVGDrawingGeneratorPrivate::setStyle(), librevenge::PresentationSVG::Table::Table(), and librevenge::DrawingSVG::Table::Table().

## ◆ clear()

void librevenge::RVNGPropertyList::clear | ( |  | ) |

Referenced by librevenge::RVNGSVGPresentationGenerator::setStyle(), and librevenge::RVNGSVGDrawingGeneratorPrivate::setStyle().

## ◆ empty()

bool librevenge::RVNGPropertyList::empty | ( |  | ) | const

## ◆ getPropString()

RVNGString librevenge::RVNGPropertyList::getPropString | ( |  | ) | const

Referenced by librevenge::RVNGRawTextGenerator::defineCharacterStyle(), librevenge::RVNGRawPresentationGenerator::defineCharacterStyle(), librevenge::RVNGRawSpreadsheetGenerator::defineCharacterStyle(), librevenge::RVNGRawDrawingGenerator::defineCharacterStyle(), librevenge::RVNGRawSpreadsheetGenerator::defineChartStyle(), librevenge::RVNGRawPresentationGenerator::defineChartStyle(), librevenge::RVNGRawPresentationGenerator::defineEmbeddedFont(), librevenge::RVNGRawDrawingGenerator::defineEmbeddedFont(), librevenge::RVNGRawSpreadsheetGenerator::defineEmbeddedFont(), librevenge::RVNGRawTextGenerator::defineEmbeddedFont(), librevenge::RVNGRawTextGenerator::defineGraphicStyle(), librevenge::RVNGRawSpreadsheetGenerator::defineGraphicStyle(), librevenge::RVNGRawTextGenerator::definePageStyle(), librevenge::RVNGRawSpreadsheetGenerator::definePageStyle(), librevenge::RVNGRawTextGenerator::defineParagraphStyle(), librevenge::RVNGRawPresentationGenerator::defineParagraphStyle(), librevenge::RVNGRawSpreadsheetGenerator::defineParagraphStyle(), librevenge::RVNGRawDrawingGenerator::defineParagraphStyle(), librevenge::RVNGRawTextGenerator::defineSectionStyle(), librevenge::RVNGRawSpreadsheetGenerator::defineSectionStyle(), librevenge::RVNGRawSpreadsheetGenerator::defineSheetNumberingStyle(), librevenge::RVNGRawPresentationGenerator::drawConnector(), librevenge::RVNGRawDrawingGenerator::drawConnector(), librevenge::RVNGRawTextGenerator::drawConnector(), librevenge::RVNGRawSpreadsheetGenerator::drawConnector(), librevenge::RVNGRawPresentationGenerator::drawEllipse(), librevenge::RVNGRawDrawingGenerator::drawEllipse(), librevenge::RVNGRawTextGenerator::drawEllipse(), librevenge::RVNGRawSpreadsheetGenerator::drawEllipse(), librevenge::RVNGRawPresentationGenerator::drawGraphicObject(), librevenge::RVNGRawDrawingGenerator::drawGraphicObject(), librevenge::RVNGRawPresentationGenerator::drawPath(), librevenge::RVNGRawDrawingGenerator::drawPath(), librevenge::RVNGRawTextGenerator::drawPath(), librevenge::RVNGRawSpreadsheetGenerator::drawPath(), librevenge::RVNGRawPresentationGenerator::drawPolygon(), librevenge::RVNGRawDrawingGenerator::drawPolygon(), librevenge::RVNGRawTextGenerator::drawPolygon(), librevenge::RVNGRawSpreadsheetGenerator::drawPolygon(), librevenge::RVNGRawPresentationGenerator::drawPolyline(), librevenge::RVNGRawDrawingGenerator::drawPolyline(), librevenge::RVNGRawTextGenerator::drawPolyline(), librevenge::RVNGRawSpreadsheetGenerator::drawPolyline(), librevenge::RVNGRawPresentationGenerator::drawRectangle(), librevenge::RVNGRawDrawingGenerator::drawRectangle(), librevenge::RVNGRawTextGenerator::drawRectangle(), librevenge::RVNGRawSpreadsheetGenerator::drawRectangle(), librevenge::RVNGRawPresentationGenerator::insertAnimation(), librevenge::RVNGRawTextGenerator::insertBinaryObject(), librevenge::RVNGRawSpreadsheetGenerator::insertBinaryObject(), librevenge::RVNGRawSpreadsheetGenerator::insertChartAxis(), librevenge::RVNGRawPresentationGenerator::insertChartAxis(), librevenge::RVNGRawPresentationGenerator::insertColorAnimation(), librevenge::RVNGRawDrawingGenerator::insertCoveredTableCell(), librevenge::RVNGRawPresentationGenerator::insertCoveredTableCell(), librevenge::RVNGRawTextGenerator::insertCoveredTableCell(), librevenge::RVNGRawSpreadsheetGenerator::insertCoveredTableCell(), librevenge::RVNGRawPresentationGenerator::insertEffect(), librevenge::RVNGRawTextGenerator::insertEquation(), librevenge::RVNGRawSpreadsheetGenerator::insertEquation(), librevenge::RVNGRawTextGenerator::insertField(), librevenge::RVNGRawPresentationGenerator::insertField(), librevenge::RVNGRawSpreadsheetGenerator::insertField(), librevenge::RVNGRawDrawingGenerator::insertField(), librevenge::RVNGRawPresentationGenerator::insertMotionAnimation(), librevenge::RVNGRawPresentationGenerator::openAnimationGroup(), librevenge::RVNGRawPresentationGenerator::openAnimationIteration(), librevenge::RVNGRawPresentationGenerator::openAnimationSequence(), librevenge::RVNGRawSpreadsheetGenerator::openChart(), librevenge::RVNGRawPresentationGenerator::openChart(), librevenge::RVNGRawSpreadsheetGenerator::openChartPlotArea(), librevenge::RVNGRawPresentationGenerator::openChartPlotArea(), librevenge::RVNGRawSpreadsheetGenerator::openChartSerie(), librevenge::RVNGRawPresentationGenerator::openChartSeries(), librevenge::RVNGRawSpreadsheetGenerator::openChartTextObject(), librevenge::RVNGRawPresentationGenerator::openChartTextObject(), librevenge::RVNGRawTextGenerator::openComment(), librevenge::RVNGRawSpreadsheetGenerator::openComment(), librevenge::RVNGRawTextGenerator::openEndnote(), librevenge::RVNGRawSpreadsheetGenerator::openEndnote(), librevenge::RVNGRawTextGenerator::openFooter(), librevenge::RVNGRawSpreadsheetGenerator::openFooter(), librevenge::RVNGRawTextGenerator::openFootnote(), librevenge::RVNGRawSpreadsheetGenerator::openFootnote(), librevenge::RVNGRawTextGenerator::openFrame(), librevenge::RVNGRawSpreadsheetGenerator::openFrame(), librevenge::RVNGRawPresentationGenerator::openGroup(), librevenge::RVNGRawDrawingGenerator::openGroup(), librevenge::RVNGRawTextGenerator::openGroup(), librevenge::RVNGRawSpreadsheetGenerator::openGroup(), librevenge::RVNGRawTextGenerator::openHeader(), librevenge::RVNGRawSpreadsheetGenerator::openHeader(), librevenge::RVNGRawTextGenerator::openLink(), librevenge::RVNGRawPresentationGenerator::openLink(), librevenge::RVNGRawSpreadsheetGenerator::openLink(), librevenge::RVNGRawDrawingGenerator::openLink(), librevenge::RVNGRawTextGenerator::openListElement(), librevenge::RVNGRawDrawingGenerator::openListElement(), librevenge::RVNGRawPresentationGenerator::openListElement(), librevenge::RVNGRawSpreadsheetGenerator::openListElement(), librevenge::RVNGRawTextGenerator::openOrderedListLevel(), librevenge::RVNGRawDrawingGenerator::openOrderedListLevel(), librevenge::RVNGRawPresentationGenerator::openOrderedListLevel(), librevenge::RVNGRawSpreadsheetGenerator::openOrderedListLevel(), librevenge::RVNGRawTextGenerator::openPageSpan(), librevenge::RVNGRawSpreadsheetGenerator::openPageSpan(), librevenge::RVNGRawTextGenerator::openParagraph(), librevenge::RVNGRawPresentationGenerator::openParagraph(), librevenge::RVNGRawSpreadsheetGenerator::openParagraph(), librevenge::RVNGRawDrawingGenerator::openParagraph(), librevenge::RVNGRawTextGenerator::openSection(), librevenge::RVNGRawSpreadsheetGenerator::openSection(), librevenge::RVNGRawSpreadsheetGenerator::openSheet(), librevenge::RVNGRawSpreadsheetGenerator::openSheetCell(), librevenge::RVNGRawSpreadsheetGenerator::openSheetRow(), librevenge::RVNGRawTextGenerator::openSpan(), librevenge::RVNGRawPresentationGenerator::openSpan(), librevenge::RVNGRawSpreadsheetGenerator::openSpan(), librevenge::RVNGRawDrawingGenerator::openSpan(), librevenge::RVNGRawTextGenerator::openTable(), librevenge::RVNGRawSpreadsheetGenerator::openTable(), librevenge::RVNGRawDrawingGenerator::openTableCell(), librevenge::RVNGRawPresentationGenerator::openTableCell(), librevenge::RVNGRawTextGenerator::openTableCell(), librevenge::RVNGRawSpreadsheetGenerator::openTableCell(), librevenge::RVNGRawDrawingGenerator::openTableRow(), librevenge::RVNGRawPresentationGenerator::openTableRow(), librevenge::RVNGRawTextGenerator::openTableRow(), librevenge::RVNGRawSpreadsheetGenerator::openTableRow(), librevenge::RVNGRawTextGenerator::openTextBox(), librevenge::RVNGRawSpreadsheetGenerator::openTextBox(), librevenge::RVNGRawTextGenerator::openUnorderedListLevel(), librevenge::RVNGRawPresentationGenerator::openUnorderedListLevel(), librevenge::RVNGRawDrawingGenerator::openUnorderedListLevel(), librevenge::RVNGRawSpreadsheetGenerator::openUnorderedListLevel(), librevenge::RVNGRawPresentationGenerator::setDocumentMetaData(), librevenge::RVNGRawSpreadsheetGenerator::setDocumentMetaData(), librevenge::RVNGRawTextGenerator::setDocumentMetaData(), librevenge::RVNGRawDrawingGenerator::setDocumentMetaData(), librevenge::RVNGRawPresentationGenerator::setSlideTransition(), librevenge::RVNGRawPresentationGenerator::setStyle(), librevenge::RVNGRawDrawingGenerator::setStyle(), librevenge::RVNGRawPresentationGenerator::startComment(), librevenge::RVNGRawPresentationGenerator::startDocument(), librevenge::RVNGRawSpreadsheetGenerator::startDocument(), librevenge::RVNGRawTextGenerator::startDocument(), librevenge::RVNGRawDrawingGenerator::startDocument(), librevenge::RVNGRawPresentationGenerator::startEmbeddedGraphics(), librevenge::RVNGRawDrawingGenerator::startEmbeddedGraphics(), librevenge::RVNGRawPresentationGenerator::startLayer(), librevenge::RVNGRawDrawingGenerator::startLayer(), librevenge::RVNGRawDrawingGenerator::startMasterPage(), librevenge::RVNGRawPresentationGenerator::startMasterSlide(), librevenge::RVNGRawPresentationGenerator::startNotes(), librevenge::RVNGRawDrawingGenerator::startPage(), librevenge::RVNGRawPresentationGenerator::startSlide(), librevenge::RVNGRawDrawingGenerator::startTableObject(), librevenge::RVNGRawPresentationGenerator::startTableObject(), librevenge::RVNGRawPresentationGenerator::startTextObject(), and librevenge::RVNGRawDrawingGenerator::startTextObject().

## ◆ insert() [1/9]

void librevenge::RVNGPropertyList::insert | ( | const char * | name,
|  | RVNGProperty * | prop
| ) |  |

Referenced by insert().

## ◆ insert() [2/9]

void librevenge::RVNGPropertyList::insert | ( | const char * | name,
|  | const char * | val
| ) |  |

## ◆ insert() [3/9]

void librevenge::RVNGPropertyList::insert | ( | const char * | name,
|  | const int | val
| ) |  |

## ◆ insert() [4/9]

void librevenge::RVNGPropertyList::insert | ( | const char * | name,
|  | const bool | val
| ) |  |

## ◆ insert() [5/9]

void librevenge::RVNGPropertyList::insert | ( | const char * | name,
|  | const RVNGString & | val
| ) |  |

## ◆ insert() [6/9]

void librevenge::RVNGPropertyList::insert | ( | const char * | name,
|  | const double | val,
|  | const RVNGUnit | units = `RVNG_INCH`
| ) |  |

## ◆ insert() [7/9]

void librevenge::RVNGPropertyList::insert | ( | const char * | name,
|  | const unsigned char * | buffer,
|  | const unsigned long | bufferSize
| ) |  |

## ◆ insert() [8/9]

void librevenge::RVNGPropertyList::insert | ( | const char * | name,
|  | const RVNGBinaryData & | data
| ) |  |

## ◆ insert() [9/9]

void librevenge::RVNGPropertyList::insert | ( | const char * | name,
|  | const RVNGPropertyListVector & | vec
| ) |  |

## ◆ operator=()

const RVNGPropertyList & librevenge::RVNGPropertyList::operator= | ( | const RVNGPropertyList & | propList | ) |

## ◆ operator[]()

const RVNGProperty * librevenge::RVNGPropertyList::operator[] | ( | const char * | name | ) | const

## ◆ remove()

void librevenge::RVNGPropertyList::remove | ( | const char * | name | ) |

Referenced by librevenge::RVNGHTMLTextParagraphStyleManager::defineParagraph(), librevenge::RVNGHTMLTextGenerator::defineParagraphStyle(), librevenge::RVNGHTMLTextSpanStyleManager::defineSpan(), librevenge::RVNGSVGDrawingGenerator::startMasterPage(), and librevenge::RVNGSVGPresentationGenerator::startMasterSlide().

## Friends And Related Function Documentation

## ◆ RVNGPropertyList::Iter

friend class RVNGPropertyList::Iter
| friend

## Member Data Documentation

## ◆ m_impl

RVNGPropertyListImpl* librevenge::RVNGPropertyList::m_impl
| mutableprivate

Referenced by child(), clear(), empty(), insert(), operator=(), operator[](), remove(), and ~RVNGPropertyList().

The documentation for this class was generated from the following files:

- RVNGPropertyList.h
- RVNGPropertyList.cpp